---
schema_version: "1"
id: cbd8f11a6bcf74634b2019a6b7d98c4b9706fcf9d98d49e8bb750fe2c70899dd
title: Data Log Requests (deprecated)
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/commerce-cloud/b2c-commerce/references/generated-api-specs/ocapi-data-log-requests.md
canonical_url: https://developer.salesforce.com/docs/commerce/b2c-commerce/references/ocapi-data-log-requests
source_site: developer.salesforce.com
content_type: documentation
content_hash: 9b93f505ff9581e148d3712e2e9c54ee6966cb05d2f28162d0af523b8d2e5620
products:
  - B2C Commerce
  - Salesforce APIs
---
Data Log Requests (deprecated)

# Data Log Requests (deprecated)

Data API endpoints enable developers to build applications for merchants: Create, update, delete business objects, like products, customers, pricing and promotions or assignments. They typically provide read and write access and are designed for moderate usage.

**Version:** 25.6

## Servers

*   `https://{host}/s/-/dw/data/v25_6`

Protocols: https.

## Security

*   `oauth2_application` (oauth2) Authentication flow with client ID and password with account manager.
    *   OAuth flow application (tokenUrl: https://account.demandware.com:443/dwsso/oauth2/access\_token)
    *   Scope x-info: Scopes are NOT supported. This is just a dummy, because the 'scopes' field is required.
*   `client_id` (apiKey) Add client ID for application identification. Alternative as 'client\_id' query parameter.
    *   API key in header: x-dw-client-id

## Operations

### POST Request Log File

`POST /log_requests/ecdn`

Operation ID: `Request Log File`. Tags: log\_requests. Security: oauth2\_application.

Requests a LogFile-Fetching for the passed zone and time frame.

#### Request body (required)

Request body

Media type: `application/json, text/xml`. Schema: `ecdn_log_fetch_request`.

#### Responses

*   **default**
    
    Media type: `application/json, text/xml`. Schema: `ecdn_log_fetch_response`.
    

### GET Read Logfetching Execution status

`GET /log_requests/ecdn/{id}`

Operation ID: `Read Logfetching Execution status`. Tags: log\_requests. Security: oauth2\_application.

Retrieves the current execution status of the log file fetching.

#### Parameters

*   `id` (path, string, required) ID of the log fetching execution

#### Responses

*   **default**
    
    Media type: `application/json, text/xml`. Schema: `ecdn_log_fetch_response`.
    

## Schemas

### ecdn\_log\_fetch\_request

Input-Document for requesting a Log-Fetch process.

*   `end_time` (_string (date-time)_) Optional end time for log file entries, in Unix time stamp format. Must not be more than 1 hour after the start time. If not passed, a one hour time frame is assumed for the log file.
*   `start_time` (_string (date-time)_, required) Start time for log file entries, in Unix time stamp format. Must not be more than 7 days in the past
*   `zone_id` (_string_) zone id is optional but if it is provided then zone\_name is not considered
*   `zone_name` (_string_, required) The internationalized domain name representation (from RFC 3490) of the zone name

_Example_

```
{
  "end_time": "21.2-09-14T16:53:07Z",
  "start_time": "21.2-09-14T16:48:07Z",
  "zone_name": "sitegenesis.com"
}
```

### ecdn\_log\_fetch\_response

Response object, providing the status of the current log fetch request.

*   `id` (_string_) ID of the log fetch request
*   `link` (_string_) HTTPS Download link to the fetched log file, which has a lifetime of 30 minutes. This link will only appear, if the current status of the log fetching is 'finished'.
*   `message` (_string_) message for the log fetch request
*   `status` (_string_) Current status of the log fetch request  
    Allowed values: `pending`, `running`, `finished`.

_Example_

```
{
  "id": "9f83cls0-d93d-llus-foo1-p8dsl3dkcpw0",
  "link": "https://ecdn.commercecloud.salesforce.com/logs/sitegenesis_com_21.2_09_14.gz?token=3d03ekddsflk3m4fl3ekmdes",
  "status": "finished"
}
```

### cause

*   `cause` (_cause_)
*   `message` (_string_)
*   `type` (_string_)

### fault

Document representing a fault message that is returned whenever the HTTP status code is greater than or equal to 400 (which indicates an error).

*   `arguments` (_object_)
    
    A map that provides fault arguments.
    
    Data can be used to provide error messages on the client side.
    
    Additional properties: `object`.
    
*   `cause` (_cause_)
*   `display_message_pattern` (_string_) The localized display message pattern, if the request parameter display\_locale was given
*   `message` (_string_) The message text of the java exception.
*   `stack_trace` (_string_)
*   `type` (_string_) The name of the java exception.